Subject: Re: bug#56169: [PATCH] gnu: Add cambalache.

From: Daniel Meißner <[email-masked]>
Date: Wed, 13 Jul 2022 11:37:36 +0200

Hi Liliana,

I have tested v2 of your patch.  I installed cambalache into my user
profile using

./pre-inst-env guix install cambalache

Then launching a terminal from my DE (I use XFCE) and invoking
‘cambalache’.  It starts up fine, showing the Cambalache logo.  I then
click on the ‘new project’ icon in the header bar.  I choose GTK4 and
call the project ‘test’, then I click ‘Create’.  I am able to add a
GtkApplicationWindow with a GtkButton and change the label of that
button.  So far everything seems fine.  However, in the terminal it
still says:

--8<---------------cut here---------------start------------->8---
(.cambalache-real:7373): Gtk-WARNING **: 11:13:35.437: Could not load a pixbuf from icon theme.
This may indicate that pixbuf loaders or the mime database could not be found.
Traceback (most recent call last):
  File "/gnu/store/ax5i4mwlwjhk3jwr3kfb41n48fczp9hv-cambalache-0.10.2/lib/python3.9/site-packages/cambalache/cmb_property_controls.py", line 562, in __load_icon_finish
    self.__model[data][6] = info.load_icon_finish(res)
gi.repository.GLib.GError: gdk-pixbuf-error-quark: Format der Bilddatei unbekannt (3)
Traceback (most recent call last):
  File "/gnu/store/ax5i4mwlwjhk3jwr3kfb41n48fczp9hv-cambalache-0.10.2/lib/python3.9/site-packages/cambalache/cmb_property_controls.py", line 562, in __load_icon_finish
    self.__model[data][6] = info.load_icon_finish(res)
gi.repository.GLib.GError: gdk-pixbuf-error-quark: Format der Bilddatei unbekannt (3)
--8<---------------cut here---------------end--------------->8---

If I use the following command to start cambalache, there’s no such
warning about loading a pixbuf from an icon theme and no traceback:

    ./pre-inst-env guix shell  cambalache glib adwaita-icon-theme gsettings-desktop-schemas [email-masked] --pure

I added the packages mentioned in the comment about using cambalache
from within guix shell.  The [email-masked] is what I get if I call
librsvg-for-system from inside the module (gnu packages gnome).

Best

-- 
Daniel